Subject: [Shop-talk] Lift available, Sebastopol, CA

From: Mark Miller <[email-masked]>
Date: Thu, 26 Nov 2020 20:52:43 -0800

Reposting to add the location to the subject line.  Thanks for the rec, PE!

Hi. I am selling my place and need to offload a 4 post lift. Ideally
I'd love to loan it to someone who could use it for free for a year or
so and then get it back but am also totally amenable to selling it for
cheap (thinking $750 or so) and then buying another one when I can again
house it. I bought it as a storage lift. It's been up and down maybe
10 times in 10 years but is that old. It's in Sebastopol, CA and will
need to be picked up within the next week or two. Any interest?

Regards,

Mark Miller   707-490-5834
[email-masked]

_______________________________________________

[email-masked]
Donate: http://www.team.net/donate.html
Suggested annual donation  $12.96
Archive: http://www.team.net/pipermail/shop-talk http://autox.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/shop-talk/[email-masked]